import { IConnection } from 'vscode-languageserver';
import { RuntimeChoice } from '../../types/types';
/**
 * Renders a story. In the current context, it means notifying the client.
 */
export default class StoryRenderer {
    private connection;
    constructor(connection: IConnection);
    showText(text: string): void;
    showTag(tags: string[]): void;
    showChoice(choice: RuntimeChoice): void;
    showPrompt(): void;
    showEndOfStory(): void;
    reportError(error: string): void;
}
